Package org.apache.nutch.protocol.interactiveselenium.handlers

## Class DefaultClickAllAjaxLinksHandler

- java.lang.Object
- - org.apache.nutch.protocol.interactiveselenium.handlers.DefaultClickAllAjaxLinksHandler

- All Implemented Interfaces:
    `InteractiveSeleniumHandler`

      public class DefaultClickAllAjaxLinksHandler
      extends Object
      implements InteractiveSeleniumHandler

  This handler clicks all the `` tags because it considers them as not usual links but ajax links/interactions. This uses the same logic of DefalultMultiInteractionHandler.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultClickAllAjaxLinksHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `processDriver​(org.openqa.selenium.WebDriver driver)` |
    `boolean` | `shouldProcessURL​(String URL)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultClickAllAjaxLinksHandler

          public DefaultClickAllAjaxLinksHandler()

  - ### Method Detail

    - #### processDriver

          public String processDriver​(org.openqa.selenium.WebDriver driver)

      Specified by:
        `processDriver` in interface `InteractiveSeleniumHandler`

    - #### shouldProcessURL

          public boolean shouldProcessURL​(String URL)

      Specified by:
        `shouldProcessURL` in interface `InteractiveSeleniumHandler`